commit:     2f5a2fd348905561a9d008a0d0f5365e77cfe5bd
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 28 20:21:20 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Oct 28 20:21:20 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2f5a2fd3

dev-python/peewee: Bump to 3.14.8

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/peewee/Manifest             |  1 +
 dev-python/peewee/peewee-3.14.8.ebuild | 35 ++++++++++++++++++++++++++++++++++
 2 files changed, 36 insertions(+)

diff --git a/dev-python/peewee/Manifest b/dev-python/peewee/Manifest
index a0660b00977..1eba0b00702 100644
--- a/dev-python/peewee/Manifest
+++ b/dev-python/peewee/Manifest
@@ -1,2 +1,3 @@
 DIST peewee-3.14.4.tar.gz 882123 BLAKE2B 
e20848eaa7cd93ea5fcea152ffbfdbab694d9fea7ee8b945c029fee8d6c4a263317fbb0506df31d490611a2b2ac0718b0fdbea875f0013eb1f3f71941f12a26b
 SHA512 
261856f4b691b8f5610d041a049148f213c22348a7e50514f7792932c1f4e8735b4dddb8a29c42e583c38e89551df2f05951d81bda0c47a80dc1eeeb0345f30f
 DIST peewee-3.14.7.tar.gz 891167 BLAKE2B 
eb8e095fc76ac8984f43fe57ea691eb570551fe07e43092a1d7acb023fbcf9cb1f3e921a428695c8e88d959cdf306c426a8fd3f3a58443a752521e161caa31ee
 SHA512 
ea416fda8c39f08236d2f3b440ac6229a40b37caba7d487e1be34a75a05ff880eabb9423033043dfbfe25ab887fad8dcc8fcf2a3778836f19ae2c1ad8df77d96
+DIST peewee-3.14.8.tar.gz 891123 BLAKE2B 
67c64ad5c8ca52987c329592dc436e3c27db5b3baa7f7c68ee4fcb06e338e38a71bfce30dcd62b7562d85a3ab7fa554f1ba8093e9a59536ffb4289c186852853
 SHA512 
d736e5dfc139656cba7caf488d68907683893d5a2537f96269af9ed693ec79c089d2822d355be4a9c6136b5cd813b0cccf774afd585f9bd420d57a8700cabfbe

diff --git a/dev-python/peewee/peewee-3.14.8.ebuild 
b/dev-python/peewee/peewee-3.14.8.ebuild
new file mode 100644
index 00000000000..1cc6d6fccfb
--- /dev/null
+++ b/dev-python/peewee/peewee-3.14.8.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_REQ_USE="sqlite"
+
+inherit distutils-r1
+
+DESCRIPTION="Small Python ORM"
+HOMEPAGE="https://github.com/coleifer/peewee/";
+SRC_URI="https://github.com/coleifer/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+       dev-python/cython[${PYTHON_USEDEP}]
+       test? ( dev-python/psycopg[${PYTHON_USEDEP}] )
+"
+
+distutils_enable_sphinx docs
+
+python_test() {
+       "${EPYTHON}" ./runtests.py -v 2 || die "tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+       use examples && DOCS=( examples/ )
+       distutils-r1_python_install_all
+}

Reply via email to